.\"	$NetBSD: frexp.3,v 1.12 2006/03/23 19:43:58 wiz Exp $
.\"
.\" Copyright (c) 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the American National Standards Committee X3, on Information
.\" Processing Systems.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)frexp.3	8.1 (Berkeley) 6/4/93
.\"
.Dd March 21, 2006
.Dt FREXP 3
.Os
.Sh NAME
.Nm frexp
.Nd convert floating-point number to fractional and integral components
.Sh LIBRARY
.Lb libm
.Sh SYNOPSIS
.In math.h
.Ft double
.Fn frexp "double value" "int *exp"
.Ft float
.Fn frexpf "float value" "int *exp"
.Sh DESCRIPTION
The
.Fn frexp
function breaks a floating-point number into a normalized
fraction and an integral power of 2.
It stores the integer in the
.Em int
object pointed to by
.Fa exp .
.Sh RETURN VALUES
The
.Fn frexp
function returns the value
.Em x ,
such that
.Em x
is a
.Em double
with magnitude in the interval
.Bo 1/2 , 1 Pc
or zero, and
.Fa value
equals
.Em x
times 2 raised to the power
.Fa *exp .
If
.Fa value
is zero, both parts of the result are zero.
.Sh SEE ALSO
.Xr ldexp 3 ,
.Xr math 3 ,
.Xr modf 3
.Sh STANDARDS
The
.Fn frexp
function conforms to
.St -ansiC .
